from odoo import models, fields, api
from odoo.exceptions import UserError, ValidationError
from psycopg2 import sql, DatabaseError
from odoo.tools.safe_eval import safe_eval, datetime

from werkzeug import utils             
                    
    

class kalachakra_partnerdraftfile(models.Model):
    _name = 'kalachakra.partnerdraftfile'
    _description = 'draft partner file'
    
    file= fields.Binary("Téléverser le fichier des contacts")
    file_name = fields.Char("Nom du fichier")
    active = fields.Boolean("actif")

class kalachakra_partnerdraft(models.Model):
    _name = 'kalachakra.partnerdraft'
    _description = 'import draft partner'
    
    external_id=fields.Integer(string='external id')
    name=fields.Char(string='nom')
    firstname=fields.Char(string='prenom')
    title=fields.Char(string='civilité')
    street = fields.Char(string='adresse')
    street2 = fields.Char(string='adresse2')
    city = fields.Char(string='ville')
    country = fields.Char(string='pays')
    zip = fields.Char(string='code postal')
    phone = fields.Char(string='tel')
    email = fields.Char(string='Email')
    statut_contact=fields.Char('Statut')
    date_creation_contact=fields.Date(string='Date contact')
    origine=fields.Char(string='Origine')
    date_member=fields.Char(string='Date adhesion')
    doublon=fields.Boolean(string='Doublon')
